#include "postfx_common.sh"
#include "common.sh"

POSTFX_VSH_1_TEX


sampler sceneTex  : register(s0);
sampler sceneTex2 : register(s1);


float4 psh(VsOutput I) : COLOR
{
  float4 res=tex2D(sceneTex, I.tc);

  //res=0;
  #if !SINGLE_RT
    res+=tex2D(sceneTex2, I.tc)*16/256;
    res*=8;
  #endif
  //return float4(res.rgb, 1);

  float3 c=res.rgb/res.a;
  float a=saturate(res.a);

  return float4(c*a, a);
  // return float4(res.rgb, res.a);
}
